<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<!-- Responsive meta tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<title>Bootstrap Flex</title>

		<!-- bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	</head>
	<body>
			<h1 class="text-center m-3">Bootstrap Flex</h1>
			<p class="text-center">Use the d-flex class to create a flex container and transform direct children into flex items</p>

			<!-- using d-flex -->
			<div 
			class="container-fluid bg-secondary d-flex justify-content-around align-items-center flex-row flex-wrap align-content-center" 
			style="height: 500px;"
			>
				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>

				<div class="bg-success font-weight-bold p-3">Flex Item A</div>
				<div class="bg-warning font-weight-bold p-3">Flex Item B</div>
				<div class="bg-danger font-weight-bold p-3">Flex Item C</div>
			</div>


			<!-- using d-flex on grid system -->
			<div class="container">
				<div class="row align-items-center justify-content-center">
					<div class="col-12 col-md-6 text-center">
						<!-- <span>My Superman</span> -->
						<p>My Superman</p>
					</div>
					<div class="col-12 col-md-6">
						<img src="https://www.hollywoodreporter.com/wp-content/uploads/2021/10/Man-of-Steel-Everett-H-2021.jpg"
						class="img-fluid" 
						>
					</div>
				</div>
			</div>



			<div style="margin-top: 100px;"></div>
	</body>
</html>